Bug 1731237 - RHV provider is recreating guest_devices on every refresh
Summary: RHV provider is recreating guest_devices on every refresh
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.10.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: GA
: 5.10.8
Assignee: Boriso
QA Contact: Angelina Nikiforova
Red Hat CloudForms Documentation
URL:
Whiteboard:
Depends On: 1691109
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-18 17:47 UTC by Satoe Imaishi
Modified: 2020-09-20 12:46 UTC (History)
12 users (show)

Fixed In Version: 5.10.8.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1691109
Environment:
Last Closed: 2019-08-13 08:35:41 UTC
Category: ---
Cloudforms Team: RHEVM
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:2466 None None None 2019-08-13 08:35:48 UTC

Comment 2 CFME Bot 2019-07-22 20:38:16 UTC
New commit detected on ManageIQ/manageiq-providers-ovirt/hammer:

https://github.com/ManageIQ/manageiq-providers-ovirt/commit/38522a8832afa14e218472b140caca0b54e36ff1
commit 38522a8832afa14e218472b140caca0b54e36ff1
Author:     Boris Od <bodnopoz@redhat.com>
AuthorDate: Thu Apr 25 11:48:40 2019 -0400
Commit:     Boris Od <bodnopoz@redhat.com>
CommitDate: Thu Apr 25 11:48:40 2019 -0400

    Merge pull request #360 from agrare/bz_1691109_use_host_guest_device_association

    Use the host_geust_devices inventory collection

    (cherry picked from commit 49ac6425ecbcc868d6676a0a9d534120b6de73f0)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1731237

 app/models/manageiq/providers/redhat/inventory/parser/infra_manager.rb | 2 +-
 app/models/manageiq/providers/redhat/inventory/persister/definitions/infra_collections.rb | 1 +
 2 files changed, 2 insertions(+), 1 deletion(-)

Comment 3 Angelina Nikiforova 2019-08-05 07:53:07 UTC
Fixed and verified in 5.10.8.0.20190729222758_e725e22.

GuestDevice.count stays the same after the refresh.

# bin/rails c
Loading production environment (Rails 5.0.7.2)
irb(main):001:0> GuestDevice.count
PostgreSQLAdapter#log_after_checkout, connection_pool: size: 5, connections: 1, in use: 1, waiting_in_queue: 0
=> 16
irb(main):002:0> GuestDevice.count
=> 16
irb(main):003:0> GuestDevice.count
=> 16
irb(main):004:0> GuestDevice.count
=> 16
irb(main):005:0> GuestDevice.count
=> 16
irb(main):006:0> GuestDevice.count
=> 16

Comment 5 errata-xmlrpc 2019-08-13 08:35:41 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:2466

Comment 6 Sudhir Mallamprabhakara 2019-11-12 03:29:09 UTC
Changing the test coverage to + as we have the test coverage covered in the original BZ 1691109


Note You need to log in before you can comment on or make changes to this bug.